Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util.property
Class PropertyAdapter

    java.lang.Object
      org.jboss.util.property.PropertyAdapter

All Implemented Interfaces:
  EventListener, PropertyListener

Direct Known Subclasses:
  BoundPropertyAdapter

public abstract class PropertyAdapter
extends Object
implements PropertyListener

An abstract adapter class for receving property events.

Methods defined in this class are empty. This class exists as as convenience for creating listener objects.

Version:
  `$Revision: 1.1 $`
Author:
  Jason Dillon

Constructor Summary
`PropertyAdapter()`

Method Summary
`void` | `propertyAdded(PropertyEvent event)` Notifies that a property was added.
`void` | `propertyChanged(PropertyEvent event)` Notifies that a property has changed.
`void` | `propertyRemoved(PropertyEvent event)` Notifies that a property was removed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyAdapter

    public PropertyAdapter()

Method Detail

### propertyAdded

    public void propertyAdded(PropertyEvent event)

  Notifies that a property was added.

  Specified by:
    `propertyAdded` in interface `PropertyListener`
  Parameters:
    `event` - Property event.

### propertyRemoved

    public void propertyRemoved(PropertyEvent event)

  Notifies that a property was removed.

  Specified by:
    `propertyRemoved` in interface `PropertyListener`
  Parameters:
    `event` - Property event.

### propertyChanged

    public void propertyChanged(PropertyEvent event)

  Notifies that a property has changed.

  Specified by:
    `propertyChanged` in interface `PropertyListener`
  Parameters:
    `event` - Property event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.